@import url('https://fonts.googleapis.com/css2?family=Montserrat&family=Festive&display=swap');

/* Start Global */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    font-size: 10px;
    font-family: 'Montserrat', sans-serif;
    color: #eee;
}

body{
    width: 100%;
    height: 100%;
}

section{
    background: transparent;
    padding: 6rem 0;
}

a{
    text-decoration: none;
    color: #eee;
}

p{
    font-size: 1.8rem;
    font-weight: 300;
}

img{
    max-width: 100%;
    height: auto;
}

/*End Global*/

/* Start reusabale */
.main-container{
    margin: 0 auto;
    width: 70%;
    max-width: 120rem;
}

.container{
    width: 90%;
    max-width: 120rem;
    height: 100%;
    margin: 0 auto;
    position: relative;
}

.section-heading{
    text-align: center;
    margin-bottom: 10rem;
}

.section-heading h1{
    font-size: 3.5rem;
    color: rgba(255,255,255, .5);
    text-transform: uppercase;
    font-weight: 300;
    position: relative;
    margin-bottom: 1rem;
}

.section-heading h1::before,
.section-heading h1::after{
    content: '';
    position: absolute;
    bottom: -.5rem;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(255,255,255, 0.75);
}

.section-heading h1::before{
    width: 10rem;
    height: 3px;
    border-radius: .8rem;
}

.section-heading h1::after{
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 100%;
    bottom: -1rem;
}

.section-heading h6{
    font-size: 1.6rem;
    font-weight: 300;
}

.has-margin-right{
    margin-right: 5rem;
}
/*End reusable*/

/* Start header */
header{
    width:100%;
    height: 100vh;
}

.bg_video_section {
    display: block;
    position: relative;
    overflow: hidden;
}

.bg_video {
    position: fixed;
    object-fit: cover;
    min-height: 50%;
    height: 100%;
    width: 100%;
    z-index: -10;
}

.top-nav{
    width: 15rem;
    height: 100vh;
    position: fixed;
    left: -100vh;
    z-index: 50;
    background-color: hsl(199, 58%, 8%);
    border-top-right-radius: 750%;
    border-bottom-right-radius: 750%;
    transition: all 650ms cubic-bezier(1,0,0,1);
}

.nav-list{
    list-style: none;
    width:100%;
    height: 100%;
    display:flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

li{
    margin: 0 2rem;
}

.nav-link,.logo{
    font-family: "Festive", cursive;
    font-size: 3rem;
    padding: 1rem;
}

.nav-link:hover,
.nav-link:focus{
    background: linear-gradient(to top, #ffe838, #fd57bf);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#check:checked ~ .top-nav{
    left: 0vh;
    border-radius: initial;
}

#check{
    position: fixed;
    margin: 0;
    top: 3em;
    left: 3.75em;   
    width: 5rem;
    height: 5rem;
    cursor: pointer;
    opacity: 0;
    display: block;
    z-index: 1501;
}

.menu-toggler{
    position: fixed;
    top: 5rem;
    left: 5rem;
    width: 5rem;
    height: 4rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
    z-index: 1500;
    transition: transform 650ms ease-out;
}

.logo{
    position: absolute;
    top: 2rem;
    left: 10rem;
}

.links{
    position: absolute;
    right: 5rem;
    display: flex;
    top: 5rem;
}

.links-list{
    flex-direction: row;
}

.links-list li a {
    font-family: "Montserrat", sans-serif;
    font-size: 2rem;
}

.logo-name{
    font-size: 5rem;
    font-family: "Festive", cursive;
    background: linear-gradient(to bottom, #ffe838, #fd57bf);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    padding: 1rem;
    user-select: none;
}

#check:checked ~ .menu-toggler{
    transform: rotate(-45deg);
}

.bar{
    background: linear-gradient(to right, #ffe838, #fd57bf);
    width: 100%;
    height: 4px;
    border-radius: .8rem;
}

.bar.half{
    width: 50%;
}

.bar.start{
    transform-origin: right;
    transition: transform 650ms cubic-bezier(0.54, -0.81, 0.57, 0.57);
}

#check:checked ~ .menu-toggler .bar.start{
    transform: rotate(-450deg) translateX(.8rem);
}

.bar.end{
    align-self: flex-end;
    transform-origin: left;
    transition: transform 650ms cubic-bezier(0.54, -0.81, 0.57, 0.57);
}

#check:checked ~ .menu-toggler .bar.end{
    transform: rotate(-450deg) translateX(-.8rem);
}

.landing-text{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
    z-index: 1;
}

.landing-text h1{
    font-size: 20rem;
    font-family: "Festive", cursive;
    background: linear-gradient(to top, #ffe838, #fd57bf);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    padding: 1rem;
    user-select: none;
}

.landing-text h6{
    font-size: 2rem;
    font-weight: 300;
}
/*End header*/

/* Start about */
.about .container{
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-heading{
    text-align: center;
    text-transform: uppercase;
    line-height: 0;
    margin-bottom: 6rem;
}

.about-heading h1{
    font-size: 10rem;
    opacity: .3;
}

.about-heading h6{
    font-size: 2rem;
    font-weight: 300;
}

.profile-img{
    flex: 1;
    margin-right: 5rem;  
}

.about-details{
    flex: 1;
}

.social-media{
    margin-top: 5rem;
}

.social-media .nav-list{
    flex-direction: row;
}

.social-media i{
    font-size: 5rem;
    transition: color 650ms;
}

.fa-facebook{
    color: #4267b2;
}

.fa-twitter{
    color: #38f1f3;
}

.fa-instagram{
    color: rgb(253, 29, 29);
}

.banner{
    position: absolute;
    top: 100rem;
    right: 2rem;
    height: 100%;
    border: 2px solid rgba(255,255,255,0.7);
    border-radius: 5px;
}

.banner .nav-list {
    justify-content: space-around;
}

.banner-info{
    border: 2px solid rgb(63, 0, 0);
    border-radius: 5px;
    padding: 5rem 5px;
    display: inline-block;
}


/*End about*/

/* Start services */
.my-skills{
    margin-top: 10rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    grid-gap: 2.5rem;
    text-align: center;
}

.skill
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2rem;
}

.skill h1{
    text-transform: uppercase;
    letter-spacing: 2px;
    margin: 2rem -2px 2rem 0;
}

.icon-container{
    width: 10rem;
    height: 10rem;
    border: 3px solid #ffe838;
    background-color: #fd57bf;
    margin-bottom: 2rem;
    display: flex;
    transform: rotate(45deg);
}

.icon-container i{
    color: #ffe838;
    font-size: 5rem;
    margin: auto;
    transform: rotate(-45deg);
}
/*End service*/

/*Start Portfolio*/
.portfolio-item{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 5rem;
}

.portfolio-item:last-child{
    margin-bottom: 0;
}

.portfolio-img{
    flex: 1;
}

.portfolio-description{
    flex: 1;
}

.portfolio-description h1{
    font-size: 3rem;
    font-weight: 300;
    margin: 1rem 0;
}

.portfolio-description h6{
    font-size: 1.5rem;
    text-transform: uppercase;
    font-weight: 300;
    opacity: 0.3;
}

.portfolio-description .cta{
    display: inline-block;
    margin-top: 2.5rem;
    font-size: 1.5rem;
    text-transform: uppercase;
    color: #3883ff;
    transition: color 650ms;
}

.portfolio-description .cta:hover{
    color: #2f67cd;
}
/*End Portfolio */

/*Start Timeline*/
.timeline{
    border-left: 4px solid #ffe838;
    border-radius: .8rem;
    background-color: rgba(0, 0, 0, 0.05);
    margin: 0 auto;
    position: relative;
    padding: 5rem;
    list-style: none;
    text-align: left;
    width: 70%;
}

.timeline h1{
    font-size: 2rem;
    text-transform: uppercase;
    font-weight: 300;
    margin-bottom: 1rem;
    opacity: .3;
}

.timeline .date{
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    margin-bottom: 1rem;
    padding-bottom: 1rem;
    position: relative;
}

.timeline .date:last-of-type{
    padding-bottom: 0;
    margin-bottom: 0;
    border: none;
}

.timeline .date::before,
.timeline .date::after{
    position: absolute;
    display: block;
    top: 50%;
    transform: translateY(-50%);
}

.timeline .date::before{
    content: attr(data-date);
    left: -21rem;
    text-align: right;
    min-width: 12rem;
    font-size: 1.5rem;
}

.timeline .date::after{
    content: '';
    box-shadow: 0 0 0 4px #fd57bf;
    border-radius: 100%;
    left: -8rem;
    height: 1.5rem;
    width: 1.5rem;
    background-color: #313534;
}
/*End Timeline*/

/*Start Contact*/
.contact{
    background-color: rgba(0, 0, 0, 0.05);
}

form{
    width: 70%;
    margin: 0 auto;
}

form label{
    font-size: 1.5rem;
}

input,select,textarea{
    width: 100%;
    padding: 1rem;
    margin-bottom: 5px;
    border: none;
    outline-color: #fd57bf;
}

input[type="submit"]{
    width: initial;
    background-color: #fd57bf;
    color: #eee;
    padding: 1rem 2rem;
    border-radius: .8rem;
    cursor: pointer;
    transition: background-color 650ms;
}

input[type="submit"]:hover{
    color: #221e3f;
    background-color: #ffe838;
}
/*End Contact*/

/*Start Footer*/
.copyright{
    width: 100%;
    text-align: center;
    background-color: #01272c;
    padding: 2rem 0;
    position: relative;
}

.copyright p{
    font-size: 1.4rem;
}

.footer-ct{
    display: flex;
    align-items: center;
    justify-content: space-around;
}
/*End Footer*/

/*Start Animation*/
@keyframes pulse {
    0%{
        box-shadow: 0 0 0 0 rgba(253, 87, 191, 0.99);
    }
    70%{
        box-shadow: 0 0 0 2rem rgba(253, 87, 191, 0);
    }
    100%{
        box-shadow: 0 0 0 0 rgba(253, 87, 191, 0);
    }
}
/*End Animation*/

/*media queries*/
@media screen and (max-width: 768px) {
    body{
        background-size: cover;
    }

    .landing-text h1{
        font-size: 15rem;
    }

    .landing-text h6{
        font-size: 1.7rem;
    }

    .nav-list{
        flex-direction: column;
    }

    .top-nav .nav-list li {
        margin: 0;
    }

    .logo{
        top: 0rem;
    }

    .logo-name{
        font-size: 3rem;
    }

    .links{
        top: 10px;
        right: 0rem;
    }

    .links-list{
        flex-direction: column;
    }

    li{
        margin: 2rem 0;
    }

    .links-list li{
        margin: 1rem 0;
    }

    .links-list li a{
        font-size: 1.2rem;
    }

    .banner{
        height: auto;
        width: auto;
        top: 85%;
    }

    .banner .nav-list{
        flex-direction: column;
    }

    .banner ul li {
        margin: 0;
    }

    .banner ul li a{
        font-size: 2rem;
    }

    .nav-link{
        font-size: 4.5rem;
    }

    .about-heading h1{
        font-size: 8rem;
    }

    .section-heading h1{
        font-size: 3rem;
    }

    .about-details .nav-list{
        flex-direction: initial;
    }

    .about-details li{
        margin: 0 2rem;
    }

    .icon-container{
        width: 7rem;
        height: 7rem;
    }

    .icon-container i{
        font-size: 4rem;
    }

    .timeline ul{
        margin: 0 0 0 auto;
    }

    .timeline .date::before{
        left: -20rem;
    }

    .timeline .date::after{
        left: -5.9rem;
    }
}

@media screen and (max-width: 600px){
    #check{
        top: 1em;
        left: 1.75em;   
    }

    .menu-toggler{
        top: 2rem;
        left: 2rem;
    }

    .logo{
        left: 7rem;
    }

    .landing-text h1{
        font-size: 8rem;
    }

    .landing-text h6{
        font-size: 1.4rem;
    }

    .nav-link{
        font-size: 3.5rem;
    }

    .top-nav .nav-list li {
        margin: 0;
    }

    .about .container{
        flex-direction: column;
    }

    .profile-img{
        margin: 0 0 7rem 0;
    }

    .portfolio-item{
        flex-direction: column;
    }

    .portfolio-img{
        margin: 0 0 2rem 0;
        order: 1;
    }

    .portfolio-description{
        margin: 0;
        order: 2;
    }

    .section-heading {
        margin-bottom: 5rem;
    }

    .timeline{
        width: 40%;
    }

    .timeline ul{
        margin: 0 0 0 auto;
    }

    .timeline p{
        font-size: 1.4rem;
    }

    .timeline .date::before{
        font-size: 1.4rem;
    }

    form{
        width: 100%;
    }

}

@media screen and (max-width: 320px){
    #check{
        top: 1em;
        left: 1.75em;   
    }
    
    .menu-toggler{
        top: 2rem;
        left: 2rem;
    }

    .logo{
        left: 6rem;
    }

    .logo-name{
        padding: 0;
    }

    .landing-text h1{
        font-size: 8rem;
    }

    .landing-text h6{
        font-size: 1.4rem;
    }

    .nav-link{
        font-size: 3.5rem;
    }

    .about .container{
        flex-direction: column;
    }

    .profile-img{
        margin: auto;
    }

    .portfolio-item{
        flex-direction: column;
    }

    .portfolio-img{
        margin: 0 0 2rem 0;
        order: 1;
    }

    .portfolio-description{
        margin: 0;
        order: 2;
    }

    .timeline ul{
        margin: 0 0 0 auto;
    }

    .timeline p{
        font-size: 1.6rem;
    }

    .timeline .date::before{
        font-size: 1.4rem;
    }

    form{
        width: 100%;
    }
}